<cfsilent>
	<cfset displayMessage = "No matches.">
	<cfset messageLink = event.linkTo("Messages") />
	<cfset groups = helpers.udf.getGroups() />
</cfsilent>

<b>Results in Threads:</b><br>
<cfif threads.recordCount>
	<cfloop query="threads">
		<cfif shouldShow( groups, conferenceidfk, forumidfk )>
			<a href="#messageLink#&threadid=#id#">#name#</a><br>
			<cfset displayMessage = "" />
		</cfif>
	</cfloop>
</cfif>

<cfoutput>#displayMessage#</cfoutput>

<cffunction name="shouldShow" output="false" access="public" returntype="boolean" hint="I check to see if this thread is visible with the current permissions">
	<cfargument name="groups" type="any" required="true"/>
	<cfargument name="conferenceidfk" type="string" required="true"/>
	<cfargument name="forumidfk" type="string" required="true"/>
	<cfreturn application.permission.allowed(application.rights.CANVIEW, arguments.forumidfk, arguments.groups) 
				AND
			  application.permission.allowed(application.rights.CANVIEW, arguments.conferenceidfk, arguments.groups ) />
</cffunction>